Index: NEMO/trunk/tests/WAD/EXPREF/makebdy_tc7.py
===================================================================
--- NEMO/trunk/tests/WAD/EXPREF/makebdy_tc7.py	(revision 12276)
+++ NEMO/trunk/tests/WAD/EXPREF/makebdy_tc7.py	(revision 12377)
@@ -4,5 +4,5 @@
 pathout = "bdyssh_tc7"
 
-nx = 34 
+nx = 23 
 ny = 1
 nt = 24
@@ -18,5 +18,5 @@
  ssh = np.zeros((nt,ny,nx))
  for nnt in range(nd*nt,(nd+1)*nt):
-   tx = 2.5*np.cos((3.141592654/6.0)*(nnt+1.0))
+   tx = 2.5*np.cos((3.141592654/6.0)*(nnt))
    print nnt, tx
    for nnx in range(nx):
Index: NEMO/trunk/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 12276)
+++ NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 12377)
@@ -169,7 +169,7 @@
 !-----------------------------------------------------------------------
     ctypebdy = 'E'
-    nbdyind  = 50
+    nbdyind  = 33
     nbdybeg  = 1
-    nbdyend  = 34
+    nbdyend  = 23
     !ctypebdy = 'W'
     !nbdyind  = 2
@@ -422,5 +422,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
Index: NEMO/trunk/tests/WAD/MY_DOCS/Namelists/nam_wad_tc7
===================================================================
--- NEMO/trunk/tests/WAD/MY_DOCS/Namelists/nam_wad_tc7	(revision 12276)
+++ NEMO/trunk/tests/WAD/MY_DOCS/Namelists/nam_wad_tc7	(revision 12377)
@@ -15,7 +15,2 @@
     nb_bdy         = 1                    !  number of open boundary sets
 /
-!-----------------------------------------------------------------------
-&namwad  !   Wetting and drying
-!-----------------------------------------------------------------------
-   rn_wdmin1         =  0.150   ! Minimum wet depth on dried cells
-/
Index: NEMO/trunk/tests/WAD/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/trunk/tests/WAD/MY_SRC/usrdef_nam.F90	(revision 12276)
+++ NEMO/trunk/tests/WAD/MY_SRC/usrdef_nam.F90	(revision 12377)
@@ -61,5 +61,4 @@
       !!----------------------------------------------------------------------
       !
-      REWIND( numnam_cfg )          ! Namelist namusr_def (exist in namelist_cfg only)
       READ  ( numnam_cfg, namusr_def, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namusr_def in configuration namelist' )
Index: NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90	(revision 12276)
+++ NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90	(revision 12377)
@@ -31,6 +31,4 @@
    PUBLIC   usrdef_sbc_ice_flx  ! routine called by icestp.F90 for ice thermo
 
-   !! * Substitutions
-#  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
@@ -40,5 +38,5 @@
 CONTAINS
 
-   SUBROUTINE usrdef_sbc_oce( kt )
+   SUBROUTINE usrdef_sbc_oce( kt, Kbb )
       !!---------------------------------------------------------------------
       !!                    ***  ROUTINE usr_def_sbc  ***
@@ -55,4 +53,5 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt   ! ocean time step
+      INTEGER, INTENT(in) ::   Kbb  ! ocean time index
       !!---------------------------------------------------------------------
       !
@@ -80,6 +79,9 @@
    END SUBROUTINE usrdef_sbc_ice_tau
 
-   SUBROUTINE usrdef_sbc_ice_flx( kt )
+
+   SUBROUTINE usrdef_sbc_ice_flx( kt, phs, phi )
       INTEGER, INTENT(in) ::   kt   ! ocean time step
+      REAL(wp), DIMENSION(:,:,:), INTENT(in)  ::   phs    ! snow thickness
+      REAL(wp), DIMENSION(:,:,:), INTENT(in)  ::   phi    ! ice thickness
    END SUBROUTINE usrdef_sbc_ice_flx
 
Index: NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 12276)
+++ NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 12377)
@@ -29,6 +29,4 @@
    PUBLIC   usr_def_zgr        ! called by domzgr.F90
 
-   !! * Substitutions
-#  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
